change "adu/byday" API in nagios check to new crashes API

RESOLVED FIXED

Status

mozilla.org Graveyard
Server Operations
RESOLVED FIXED
5 years ago
3 years ago

People

(Reporter: rhelmer, Assigned: ashish)

Tracking

Details

(Reporter)

Description

5 years ago
Socorro 18 removes the old "adu/byday" URL and replaces it with a "crashes" API. 

Please change this:
http://socorro-mware-zlb.webapp.phx1.mozilla.com:80/bpapi/adu/byday/p/Firefox/v/5.0/rt/crash/os/Windows/start/2011-08-01/end/2011-08-08

To this:

http://socorro-api-dev-internal/bpapi/crashes/daily/product/Firefox/versions/17.0a2/from_date/2012-09-05/to_date/2012-09-12/date_range_type/report/os/Windows

CC'ing Adrian, maybe he can think of a more representative way to tell if it's working? Currently it looks for the string "Win" in the output.
(Assignee)

Updated

5 years ago
Assignee: server-ops → ashish
(Reporter)

Comment 1

5 years ago
(In reply to Robert Helmer [:rhelmer] from comment #0)
> Socorro 18 removes the old "adu/byday" URL and replaces it with a "crashes"
> API. 
> 
> Please change this:
> http://socorro-mware-zlb.webapp.phx1.mozilla.com:80/bpapi/adu/byday/p/
> Firefox/v/5.0/rt/crash/os/Windows/start/2011-08-01/end/2011-08-08
> 
> To this:
> 
> http://socorro-api-dev-internal/bpapi/crashes/daily/product/Firefox/versions/
> 17.0a2/from_date/2012-09-05/to_date/2012-09-12/date_range_type/report/os/
> Windows

Sorry that hostname was from me testing on dev ^

For prod it should be:
http://socorro-mware-zlb.webapp.phx1.mozilla.com:80/bpapi/crashes/daily/product/Firefox/versions/17.0a2/from_date/2012-09-05/to_date/2012-09-12/date_range_type/report/os/Windows
Assignee: ashish → server-ops
(Assignee)

Comment 2

5 years ago
Checks are updated and returned OKs.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
(Assignee)

Updated

5 years ago
Assignee: server-ops → ashish
(Assignee)

Comment 3

5 years ago
rhelmer/adrian: This check needs to be updated. The request in #c1 doesn't contain the string "Win":

[ashish@nagios1.private.phx1 ~]$ curl -sq -H "Host: socorro-mware-zlb.webapp.phx1.mozilla.com" "http://sp-mware01.phx1.mozilla.com/bpapi/crashes/daily/product/Firefox/versions/17.0a2/from_date/2012-09-05/to_date/2012-09-12/date_range_type/report/os/Windows" | grep -c Win
0
[ashish@nagios1.private.phx1 ~]$
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Sorry it seems I missed this bug. The new /crashes/daily API doesn't return the OS if it is used as a filter. 

Maybe we can grep for the product? If you're asking for Firefox results, use grep -c Firefox as that string will always be in the results (if there's any). 

I'm not sure what the nagios check goal is: are we checking that the middleware is up, or that the /crashes/daily service actually returns data? If it's the former then we should actually grep for "hits", that's in the structure of a classical response (and is always there even if the service doesn't return any actual data). 

An empty response of that service looks like this:

{
    "hits": [],
    "total": 0
}
(Assignee)

Comment 5

5 years ago
Adding laura to cc too.
(Assignee)

Comment 6

5 years ago
I sat down with laura and decided to grep for "hits" instead. I've modified the monitor accordingly:

15:32:16 < nagios-phx1> | Mon 15:32:16 PDT [139] sp-mware01.phx1.mozilla.com:socorro-mware-zlb - http string is OK: HTTP OK: HTTP/1.1 200 OK - 1548 bytes in 0.029 second response time
15:32:26 < nagios-phx1> | Mon 15:32:26 PDT [141] sp-mware03.phx1.mozilla.com:socorro-mware-zlb - http string is OK: HTTP OK: HTTP/1.1 200 OK - 1566 bytes in 0.028 second response time
15:33:16 < nagios-phx1> | Mon 15:33:16 PDT [143] sp-mware02.phx1.mozilla.com:socorro-mware-zlb - http string is OK: HTTP OK: HTTP/1.1 200 OK - 1566 bytes in 0.028 second response time
Status: REOPENED → RESOLVED
Last Resolved: 5 years ago5 years ago
Resolution: --- → FIXED
Product: mozilla.org → mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.